@{
    # Script module or binary module file associated with this manifest.
    RootModule           = 'SqlServerDsc.psm1'

    # Version number of this module.
    ModuleVersion        = '17.0.0'

    # ID used to uniquely identify this module
    GUID                 = '693ee082-ed36-45a7-b490-88b07c86b42f'

    # Author of this module
    Author               = 'DSC Community'

    # Company or vendor of this module
    CompanyName          = 'DSC Community'

    # Copyright statement for this module
    Copyright            = 'Copyright the DSC Community contributors. All rights reserved.'

    # Description of the functionality provided by this module
    Description          = 'Module with DSC resources for deployment and configuration of Microsoft SQL Server.'

    # Minimum version of the Windows PowerShell engine required by this module
    PowerShellVersion    = '5.0'

    # Minimum version of the common language runtime (CLR) required by this module
    CLRVersion           = '4.0'

    # Functions to export from this module
    FunctionsToExport    = @('Add-SqlDscNode','Add-SqlDscTraceFlag','Complete-SqlDscFailoverCluster','Complete-SqlDscImage','Connect-SqlDscDatabaseEngine','ConvertFrom-SqlDscDatabasePermission','ConvertFrom-SqlDscServerPermission','ConvertTo-SqlDscDatabasePermission','ConvertTo-SqlDscServerPermission','Disable-SqlDscAudit','Disconnect-SqlDscDatabaseEngine','Enable-SqlDscAudit','Get-SqlDscAudit','Get-SqlDscConfigurationOption','Get-SqlDscDatabasePermission','Get-SqlDscManagedComputer','Get-SqlDscManagedComputerService','Get-SqlDscPreferredModule','Get-SqlDscServerPermission','Get-SqlDscStartupParameter','Get-SqlDscTraceFlag','Import-SqlDscPreferredModule','Initialize-SqlDscRebuildDatabase','Install-SqlDscServer','Invoke-SqlDscQuery','New-SqlDscAudit','Remove-SqlDscAudit','Remove-SqlDscNode','Remove-SqlDscTraceFlag','Repair-SqlDscServer','Save-SqlDscSqlServerMediaFile','Set-SqlDscAudit','Set-SqlDscDatabasePermission','Set-SqlDscServerPermission','Set-SqlDscStartupParameter','Set-SqlDscTraceFlag','Test-SqlDscIsDatabasePrincipal','Test-SqlDscIsLogin','Test-SqlDscIsSupportedFeature','Uninstall-SqlDscServer')

    # Cmdlets to export from this module
    CmdletsToExport      = @()

    # Variables to export from this module
    VariablesToExport    = @()

    # Aliases to export from this module
    AliasesToExport      = @()

    DscResourcesToExport = @('SqlAudit','SqlDatabasePermission','SqlPermission','SqlAG','SqlAGDatabase','SqlAgentAlert','SqlAgentFailsafe','SqlAgentOperator','SqlAGListener','SqlAGReplica','SqlAlias','SqlAlwaysOnService','SqlConfiguration','SqlDatabase','SqlDatabaseDefaultLocation','SqlDatabaseMail','SqlDatabaseObjectPermission','SqlDatabaseRole','SqlDatabaseUser','SqlEndpoint','SqlEndpointPermission','SqlLogin','SqlMaxDop','SqlMemory','SqlProtocol','SqlProtocolTcpIp','SqlReplication','SqlRole','SqlRS','SqlRSSetup','SqlScript','SqlScriptQuery','SqlSecureConnection','SqlServiceAccount','SqlSetup','SqlTraceFlag','SqlWaitForAG','SqlWindowsFirewall')

    RequiredAssemblies   = @()

    # Private data to pass to the module specified in RootModule/ModuleToProcess. This may also contain a PSData hashtable with additional module metadata used by PowerShell.
    PrivateData          = @{

        PSData = @{
            # Set to a prerelease string value if the release should be a prerelease.
            Prerelease   = ''

            # Tags applied to this module. These help with module discovery in online galleries.
            Tags         = @('DesiredStateConfiguration', 'DSC', 'DSCResourceKit', 'DSCResource')

            # A URL to the license for this module.
            LicenseUri   = 'https://github.com/dsccommunity/SqlServerDsc/blob/main/LICENSE'

            # A URL to the main website for this project.
            ProjectUri   = 'https://github.com/dsccommunity/SqlServerDsc'

            # A URL to an icon representing this module.
            IconUri      = 'https://dsccommunity.org/images/DSC_Logo_300p.png'

            # ReleaseNotes of this module
            ReleaseNotes = '## [17.0.0] - 2024-09-30

### Added

- SqlSetup
  - Added new parameter ProductCoveredbySA which is introduced in SQL 2022.

### Added

- `Connect-SqlDscDatabaseEngine`
  - Added integration test for the command.
- `Uninstall-SqlDscServer`
  - Added integration test for the command.

### Changed

- SqlScript
  - BREAKING CHANGE: The parameter `Id` is now required to allow
    reuse of a script with different variables. Set this to a unique value.
    The information entered is never used to actually run the script.
    ([issue #596](https://github.com/dsccommunity/SqlServerDsc/issues/596)).
  - Fix unit test to fully check Set-TargetResource using timeout.
- SqlScriptQuery
  - BREAKING CHANGE: The parameter `Id` is now required to allow
    reuse of a script with different variables. Set this to a unique value.
    The information entered is never used to actually run the script.
    ([issue #596](https://github.com/dsccommunity/SqlServerDsc/issues/596)).
  - Fix unit test to fully check Set-TargetResource using timeout.

- SqlServerDsc
  - Replaced inline task `Package_Wiki_Content` with the one now available
    in the module _DscResource.DocGenerator_.
- `Connect-SqlDscDatabaseEngine`
  - Update comment-based help with more examples.
- SqlSetup
  - The parameter `SecurityMode` now only (correctly) allows the value
    `SQL` ([issue #1185](https://github.com/dsccommunity/SqlServerDsc/issues/1185)).

### Fixed

- SqlServerDsc
  - Fix issue template.
- `Connect-SqlDscDatabaseEngine`
  - Comment-based help for parameter `LoginType` was corrected.
  - An integration test now runs to test the command.
- SqlAudit
  - Fixed unit tests.
- SqlDatabaseMail
  - Fix unit test, removing `Assert-VerifiableMock` that was left over from
    Pester 5 conversion.

'

        } # End of PSData hashtable

    } # End of PrivateData hashtable
}
